BlendFi
APIWebhooks

Update a webhook endpoint

PATCH
/v1/webhook_endpoints/{id}
AuthorizationBearer <token>

Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.

Em: header

Parâmetros de path

id*string
Formatouuid

Parâmetros de header

idempotency-key*string

Client-generated unique key to make the mutation safe to retry.

Tamanho1 <= length

Corpo do request

application/json

Definições TypeScript

Use o tipo request body em TypeScript.

Corpo da response

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.sandbox.blendfi.com.br/v1/webhook_endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "idempotency-key: 0196c5d9-2e34-7c24-a47e-a0e1f89bb8a9" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "url": "http://example.com",
  "status": "active",
  "event_types": [
    "transaction.pending_payment"
  ],
  "description": "string",
  "secret_prefix": "string",
  "secret_last_four": "string",
  "created_at": "string",
  "updated_at": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}